----------------------------------------------------
Changes:
----------------------------------------------------
V 0.5.7, 22.02.2015

- VCO and VCF Humanize 0 to 100%
- switched to old humanize function. 
  For VCO-Humanize: don't detune whole synths, only detune oscillators
  Use logarithmic curve for parameter entry

----------------------------------------------------
V 0.5.6, 01.07.2013

- Resonance = 1.0 is normal
- No reset of resonance to 1.0 after change of filter type
- Bugfix: Midi-Controller changes were only applied to synthesizer if GUI is open
- Bugfix Texteingabe war fehlerhaft
- removed highest note priority voice allocation for monophonic mode. 
  Now each new note plays and retriggers envelope
- added Retrigger for monophonic mode
- Polyphony von GUI aus einstellbar. Maximum ist 256 voices
- VCO-Humanize funktion verbessert. Bessere Streuung der Voice-Verstimmungen.
- Mastertune ist jetzt relativ in Semitones statt absolute in Hertz. 
  Ältere Patches werden beim Laden korrekt auf Semitones umgerechnet.

----------------------------------------------------
V 0.5.5, 23.01.2013

- Added tooltip with version, date and name of developer. 

----------------------------------------------------
V 0.5.4, 01.01.2013

- Bugfix: Rückkopplung beseitigt in Cubase.
- Bugfix: Symmetry bei einigen LFO-Wellenformen ohne Effekt
- Multicore-Audiorendering implementiert. 
  Die Last wird auf alle verfügbaren CPU-Kerne aufgeteilt => mehr Performance.

- Comboboxen (Waveforms, Mod-Sources, Filtertypes, etc.) unterstützen keine MidiControllerzuweisen mehr.

----------------------------------------------------
V 0.5.3, 08.10.2012

- LFO:
  - Symmetry-Regler hinzugefügt. 
  - ComboBoxen für Sync und Mode durch ToggleButtons ersetzt.
  
- VCO:
  - Phasen der Oszillatoren werden bei Programmstart mit Zufallswerten initialisiert.
  

----------------------------------------------------
V 0.5.2, 07.10.2012

- BLEP-Synthese: 
  - Anzahl der Harmonischen von 1800 auf 900 verringert => weniger Speicherverbrauch.
  - LUT-Größe von 4096 auf 3072 verringert => weniger Speicherverbrauch.

- VCO:
  - AM, FM und PWM sind jetzt durch zwei Quellen modulierbar 
  - Neuer Mode: Freerunning oder Restart der VCOs bei note-Trigger:
                Bei Restart wird die VCO-Phase auf 0 gesetzt => Punchy-Sound - der Sound der vorherigen JaySynth-Versionen.
                Bei free-Running bleibt VCO-Phase auf letzten Wert => Sound entspricht eher dem analogen Vorbild.
                
  - Waldorf MicroWave Wellenformen und WaveTables hinzugefügt. WaveTable-Scan über PWM. 
    Original MicroWave Wellenformen müssen als Datei ("waves.bin", 16bit, Big-Endian) im Plugin-Verzeichnis vorliegen, damit Feature freigeschaltet wird.
    
  - Impuls-Wellenform hinzugefügt. Erzeugt einen einzigen Impuls bei Tastenanschlag. Geeignet um VCF mit Selbstozillation anzuregen.
  - 3-Fach Oversampling für Sinus-Wellenform eingeführt für bessere FM-Modulation
  
- VCF: 
  - Hilfe von LookUp-Table für schnellere Koeffizientenberechnung => mehr Performance
  - Cutoff ist jetzt durch zwei Quellen modulierbar
  - Velocity-Sense und Key-Follow Slider entfernt
  - Resonance-Maximum auf 100 erhöht => Vorsicht!
  - Resonance ist jetzt durch zwei Quellen modulierbar => hier auch Vorsicht!

- VCA: 
  - Velocity-Sense und Key-Follow Slider entfernt

- LFO:
  - Delay und Attack hinzugefügt
  - Neue Wellenformen hinzugefügt:
    - Dreieck (Tri)
    - Rechteck (Square)
    - Zeitlich umgekehrter Sinus (1-Sine)
    - Zeitlich umgekehrter Cosinus (1-Cosine)
    - Zeitlich umgekehrter Saw (1-Saw)
    - Zeitlich umgekehrter Rechteck (1-Square)
    - Zeitlich umgekehrter Dreieck (1-Tri)
  
- Voice-Management:
  - Max. Polyphonie auf 128 Stimmen erhöht
  - Monophon-mode hinzugefügt
  - Unisono-Mode:
    - Jetzt auch polyphon spielbar => Nutzung der brachliegenden Stimmenressourcen, noch dichterer Sound. 
    - Grobe Lautstärkeanpassung, abhängig von Anzahl der Unisono-Stimmen.
                 
- Envelopes: 
  - Stimmenklau verursacht weniger Knackser.
  - ENV-3 und ENV-4 hinzugefügt

- Velocity-Sense und Key-Follow für die meisten Slider hinzugefügt. 
  - Menü ereichbar durch Rechts-Klick auf Slider. Achtung: Menü für Midi-Controller ist jetzt durch Shift-Rechts-Klick auf Slider erreichbar.

- Master-Volume hat jetzt logarithmische Kennlinie.
- Limiter im Audiosignalweg vermeidet Lautsprecherschaden

- GUI:
  - Alle Bedienelemente verkleinert

- Build: Verwendung von SSE2-Befehlen => mehr Performance
- Bugfix: Bank Load/Save: Speicher wurde nicht wieder freigegeben.
  
----------------------------------------------------
V 0.5.1, 22.08.2012

- Master Tune in VCA Sektion hinzugefügt. Tune erfolgt relativ zu 440Hz
- VCO: Detune ist jetzt in cents. Achtung: Die VCOs gespeicherter Patches klingen jetzt weniger verstimmt. 
       Workaround: Detune nach Bedarf anpassen und Patch abspeichern.
   
- Pitchbender: Die Eingabefelder 'Min' und 'Max' sind jetzt beim 'Transpose'-Regler angeordnet.
- Per-Voice individual Stereo-Panning: Alternierend gerade, ungerade Stimme. 
            Einstellbar 0 bis 100% mit 'Voice-Pan ' in VCA Sektion
            
- Humanize-Funktion: Nachbildung nicht-idealer Bauteile eines analogen Hardware-Synthesizers. 
                     Die Stimmenmodule eines analogen Hardware-Synthesizers klingen aufgrund von Bauteiltoleranzen nicht identisch.
                     Im JaySynth werden pro Stimme folgende Parameter in ihrem Werte Bereich normalverteilt gestreut:
                      - Mastertune: Spread 0 bis 10%. Einstellbar mit 'VCO hum.'
                      - VCF-Cutoff: Spread 0 bis 100%. Einstellbar mit 'VCF hum.'
                      - VCF-Resonance: Spread 0 bis 100%. Einstellbar mit 'VCF hum.'
                      - VCF-Envelope A,D,R: Spread 0 bis 100%. Einstellbar mit 'Env. hum.'
                      - VCA-Envelope A,D,R: Spread 0 bis 100%. Einstellbar mit 'Env. hum.'

- Stimmenzuordnungs-Algorithmus auf Round-Robin-Verfahren umgestellt: Jede Stimme wird nacheinander verwendet.
- Unisonomodus mit Portamento und Verwendung aller Stimmen (einstellbar)
- Filterorder 2 und 4
- Ob aktuelle Midi-Controllerstellungen beim Umschalten des Patch auf die Controllerziele des nächsten Patchs angewendet
  wird, ist nun im MidiPopup einstellbar.
- Bugfix: Änderung des Patchnamens im Host führt nicht zum Update auf dem Plugin-Bildschirm
- VCOs: FM-Mod: VCA-Envelope und VCF-Envelope als Quellen hinzugefügt. Bei VCO-2 kann auch noch VCO-1 angegeben werden.
- Werteanzeige der Parameter zeigen jetzt die korrekte Anzahl an Nachkommastellen
- Bugfix: Wird GUI geschlossen und wieder geöffnet wird editiertes Patch mit Programmspeicher überschrieben.
- VCO: Pitchbenderbereich auf +/- 48 Halbtöne erhöht
- VCO: Transposebereich auf +/- 48 Halbtöne erhöht
- VCO: FM-amount: Einheit geändert von Oktaven auf Halbtöne (+/- 48 Halbtöne)

----------------------------------------------------
V 0.4.4, 14.08.2012

- Bugfix: Bei unsymmetrischen Pitchbenderbereichen wurde in Neutralstellung die Tonhöhe falsch eingestellt.

----------------------------------------------------
V 0.4.3, 13.08.2012

- Pitchbenderbereich pro VCO jetzt von der Oberfläche einstellbar.
  Einfachklick auf Textfeld links und rechts neben 'FM-Amount'.

----------------------------------------------------
V 0.4.2, 12.08.2012

- Bugfix: Rangeingabe im MidiPopup: Bei range Min = max => crash
- Bugfix: LFO-shape SH-1 ließ sich nicht anwählen
- MidiPopup window: changed text 'Enable' to 'Assigned'
- MidiPopup window: changed text 'Move slider' to 'Absolute'
  Absolute-mode bewegt zwar die Regler, ändert aber das Patch nicht.
- Edit-Buffer für Midicontroller eingeführt.
- Textfelder für Patchnummer und Patchname hinzugefügt. 
   Durch Einfachklick auf Patchname-Textfeld kann Patchname geändert. 
   Durch Einfachklick auf Patchnummer-Textfeld kann Patch direkt angewählt werden.
   Anzeige im Patchname-Textfeld, wenn ein Patch editiert wurde.
- +/- Tasten für bequemes Durchklicken der Patches.
- Synthesizer merkt sich jetzt alle MidiControllerwerte. 
  Beim Umschalten zwischen den Patches werden, 
  die zugewiesenen Modulationsziele korrekt initialisiert.

----------------------------------------------------
V 0.4.1, 10.08.2012

- LFO: Smoothing Range intern um Factor 20 verkleinert.
- ToolTips: Bugfix: Tooltips wurden doppelt angezeigt
- GUI: Zuweisungen für MidiController hinzugefügt. 
       Menü ist erreichbar durch Rechtsklick auf Parameter-Regler
- Maximale Anzahl der Patches von 128 auf 64 reduziert

----------------------------------------------------
V 0.3.2, 05.08.2012

- Bugfix: Durch Verwendung von globalen Variablen, haben sich mehrere
  Instanzen des Plugins gegenseitig beeinflusst.

- Bugfix: Das Abspeichern von Bänken, also von mehreren Patches auf einmal,
  ist nun korrekt implementiert.

----------------------------------------------------
V 0.3.1, 04.08.2012

Allgemein:
- Beim Abspeichern werden nun keine Reglerstellungen mehr abgespeichert,
  sondern die wahren, interen Werte. Bei einer Änderung von
  Wertebereichen oder wenn ein Parameter dazu kommt, können Patches aus
  zukünftigen Versionen korrekt geladen werden.

GUI:
- Umstrukturiert wegen Platzmangel.
- Direkte Werteeingabe der Parameter durch Einfach-klick
  auf die Anzeige über den Reglern.
- Tooltips hinzugefügt.

Synthese:
- Weniger Ressourcenverbrauch durch Umstellung von BLIT-Synthese
  auf LUT-gestützte BLEP-Synthese.
  Interpoliert wird mit Lagrange-Polynom 2. Grads.

VCOs:
- Volumeregler und Ein/Ausschalter (Klick auf LED) hinzugefügt.
- Wellenform Noise1 und Noise2 entfernt.
- Frequenzmodulation geht nun über +/- 4 Oktaven.
- Square heisst jetzt Pulse.
- Sinus und Triangle-Wellenformen hinzugefügt.
- Für Pulse-Wellenform: Pulsweitenregler und PW-Modulation hinzugegefügt.

VCF:
- Filtersweep-charakteristik geändert. Filter macht jetzt 6.8 Oktaven
  (20Hz bis 18 kHz) über den gesamten Bereich der Controlvoltage.
- VCF-Envelope-Generator: Bedingt durch Filtercharakteristik
  werden intern die Zeiten für Decay und Release mit zwei multipliziert,
  um dem subjektiven Hörempfinden gerecht zu werden.
- Envelope-Amount, Velocity-Amount und Key-Follow
  können jetzt negativ sein.
- Resonance angepasst.
  Resonance = 1 entpricht normaler Filtercharakteristik.

VCA:
- Tremolo kann nicht mehr negativ sein.
- Rauschquelle mit Ein/Aus-Schalter (Klick auf LED)
  und Volumeregler hinzugefügt.
  Es kann zwischen Uniform (ehemals Noise-1) und Gauss (ehemals Noise-2) ausgewählt werden.
  Uniform entspricht gleichförmig verteiltem Rauschen.
  Gauss entspricht Gauss-verteiltem Rauschen (was nicht Pink ist).
  Pink-Rauschen muss noch hinzugefügt werden. Uniform-Rauschen wird in
  späteren Versionen entfernt. Gauss wird dan als White-Noise bezeichnet.

ADSR-Envelope-Generator:
- Die Decay-Zeit wird nun definiert mit der Zeit um von 100% auf 0% zu
  fallen. Der Sustain-level hat nun keinen Einfluss auf die
  Decay-Steilheit. Die Decay-Steilheit bleibt nun konstant, unabhängig
  vom Sustain-Level. Ein Sustain-Level größer 0 wird nun,
  abweichend von der eigestellten Decay-Zeit, früher erreicht werden
  als ein Sustain-Level von 0.

----------------------------------------------------
V 0.2.2, 22.07.2012

- LFO: Bugfix. 'Restart' klang unnatürlich bei S&H

----------------------------------------------------
V 0.2.1, 22.07.2012

- LFO: Zweite S&H Wellenform (S&H 2) hinzugefügt. Diese wird von
Gauss'schen Rauschen abgeleitet. Kommt dem analogen Vorbild näher. Wellenform S&H 1 ist die alte Wellenform.
- LFO: Neuer LFO-Parameter "smooth". Hatte Umgestaltung der GUI zur Folge. Siehe Bild im Anhang.
- VCO: Bugfix. Fehler führte zum Abbruch des Klangs.
- VCF: Filter-Typen Highpass und Bandpass hinzugefügt.
- VCF: Maximum Resonance auf 10 erhöht.

----------------------------------------------------
V 0.1.1, 21.07.2012

- jetzt mit ansprechender GUI
- Vier LFOs mit den Wellenformen Sine, Saw und Sample and Hold. Square und Tri sind noch nicht bereit
- VCOs haben Wellenformen Saw, Square und Noise. Tri ist noch disabled
- Key follow für VCF
- Tremolo und Stereo panning im VCA
----------------------------------------------------
